﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Windows;
using Infragistics.Controls.Menus;

namespace XamMenu
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            Items = new ObservableCollection<Item>()
            {
                new Item()
                {
                    HeaderText = "Item 1",
                    SubItems = new ObservableCollection<Item>()
                    {
                        new Item { HeaderText = "Sub 1.1" },
                        new Item { HeaderText = "Sub 1.2" }
                    }
                },
                new Item()
                {
                    HeaderText = "Item 2",
                    SubItems = new ObservableCollection<Item>()
                    {
                        new Item { HeaderText = "Sub 2.1" },
                        new Item { HeaderText = "Sub 2.2" }
                    }
                }
            };

            DataContext = this;
        }

        public ObservableCollection<Item> Items { get; set; }

        private void TextBlock_Loaded(object sender, RoutedEventArgs e)
        {
            Grid g = Utilities.GetAncestorFromType(sender as DependencyObject, typeof(Grid), true) as Grid;
            g.ColumnDefinitions.Clear();
            Grid gg = Utilities.GetAncestorFromType(g as DependencyObject, typeof(Grid), true) as Grid;
            gg.ColumnDefinitions.Clear();

            XamMenuItem xmi = Utilities.GetAncestorFromType(sender as DependencyObject, typeof(XamMenuItem), true) as XamMenuItem;
            xmi.Width = 95;
        }
    }

    public class Item
    {
        public string HeaderText { get; set; }
        public ObservableCollection<Item> SubItems { get; set; }
    }
}
